%define name pppdialer 
%define version 0.0.1
%define release 2mdk

Summary: A simple dialer for making pppd connections.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Remote access
Source: %{name}-%{version}.tar.bz2
Prefix: /usr
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Packager: David Sugar <dyfet@ostel.com>

%description 
A simple, fast, efficient "dialer" to use for establishing
pppd dialout connections.  Only requires a dial-secrets
file and offers no scripting.  Can dial multiple numbers
and/or service providers on busy or connect failure. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%build
uname -a|grep SMP && make -j 2 || make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} pppdir=$RPM_BUILD_ROOT/etc/ppp install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README ChangeLog
%config /etc/ppp/dial-secrets
/usr/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-2mdk
- fix group
- fix permission on spec

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
